
From: Stephen Rothwell <sfr@canb.auug.org.au>

[ISERIES] don't link some non iSeries stuff

I think Ben introduced this new file and iSeries doesn't need it.


---

 arch/ppc64/kernel/Makefile |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/Makefile~ppc64-iseries-makefile arch/ppc64/kernel/Makefile
--- 25/arch/ppc64/kernel/Makefile~ppc64-iseries-makefile	2004-02-21 20:58:30.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/Makefile	2004-02-21 20:58:30.000000000 -0800
@@ -14,11 +14,13 @@ obj-y               :=	setup.o entry.o t
 
 obj-$(CONFIG_PPC_OF) +=	of_device.o
 
-obj-$(CONFIG_PCI)	+= pci.o pci_dn.o pci_dma.o pci_dma_direct.o
+obj-$(CONFIG_PCI)	+= pci.o pci_dn.o pci_dma.o
 
 ifdef CONFIG_PPC_ISERIES
 obj-$(CONFIG_PCI)	+= iSeries_pci.o iSeries_pci_reset.o \
 			     iSeries_IoMmTable.o 
+else
+obj-$(CONFIG_PCI)	+= pci_dma_direct.o
 endif
 
 obj-$(CONFIG_PPC_ISERIES) += iSeries_irq.o \

_
